Skip to main content
PUT
/
commerce
/
rules
/
safetystock
/
{code}
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "description": "<string>",
  "enabled": true,
  "locationCodes": [
    "<string>"
  ],
  "locationGroups": [
    "<string>"
  ],
  "metaData": "<unknown>",
  "name": "<string>",
  "productRules": [
    {
      "code": "<string>",
      "masterCatalogId": 123
    }
  ],
  "quantity": 123,
  "rank": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

code
string
required

The code of the safety stock rule to update.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

The updated safety stock rule.

Represents a rule for safety stock in the product administration system.

auditInfo
object
code
string | null

Gets or sets the unique identifier of the SafetyStockRule. If not given provided on create one will be assigned. Read-only after creation.

description
string | null

Gets or sets the description of the SafetyStockRule.

enabled
boolean | null

Gets or sets whether the SafetyStockRule is enabled.

locationCodes
string[] | null

Gets or sets the list of location codes where the SafetyStockRule applies.

locationGroups
string[] | null

Gets or sets the list of location groups where the SafetyStockRule applies.

metaData
any | null

Metadata for the Safety stock rule which is a json format, used to store additional information

name
string | null

Gets or sets the name of the SafetyStockRule.

productRules
object[] | null

Gets or sets the list of product rules associated with the SafetyStockRule.

quantity
integer<int32> | null

Gets or sets the quantity defined by the SafetyStockRule.

rank
integer<int32>

Gets or sets the rank of the SafetyStockRule. When not given or zero, a value will be assigned.

Response

Success

Represents a rule for safety stock in the product administration system.

auditInfo
object
code
string | null

Gets or sets the unique identifier of the SafetyStockRule. If not given provided on create one will be assigned. Read-only after creation.

description
string | null

Gets or sets the description of the SafetyStockRule.

enabled
boolean | null

Gets or sets whether the SafetyStockRule is enabled.

locationCodes
string[] | null

Gets or sets the list of location codes where the SafetyStockRule applies.

locationGroups
string[] | null

Gets or sets the list of location groups where the SafetyStockRule applies.

metaData
any | null

Metadata for the Safety stock rule which is a json format, used to store additional information

name
string | null

Gets or sets the name of the SafetyStockRule.

productRules
object[] | null

Gets or sets the list of product rules associated with the SafetyStockRule.

quantity
integer<int32> | null

Gets or sets the quantity defined by the SafetyStockRule.

rank
integer<int32>

Gets or sets the rank of the SafetyStockRule. When not given or zero, a value will be assigned.